Skip to main content
POST
/
org-workspaces
/
{id}
/
access-token
Generate an access token for an organization workspace
curl --request POST \
  --url https://api.getmembrane.com/org-workspaces/{id}/access-token \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isAdmin": true,
  "tenantId": "<string>",
  "tenantKey": "<string>",
  "name": "<string>",
  "fields": {}
}
'
{
  "token": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
isAdmin
boolean

Whether to generate an admin token

tenantId
string

Customer ID to scope the token to

tenantKey
string

Customer key to scope the token to (resolved to tenantId)

name
string

Name for the generated token

fields
object

Custom fields to include in the token

Response

200 - application/json
token
string
required

The generated access token